# $Revision: 1.17 $, $Date: 2007-03-11 23:26:13 $
%define		dictname gazetteer
Summary:	U.S. Gazetteer for dictd
Summary(pl.UTF-8):	Słownik nazw geograficznych w USA dla dictd
Name:		dict-%{dictname}
Version:	1.3
Release:	7
License:	GPL
Group:		Applications/Dictionaries
Source0:	ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
# Source0-md5:	e87c468992693aebea7cbbd6261e45e2
Patch0:		%{name}-linux-sparc.patch
URL:		http://www.dict.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dictzip
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{_sysconfdir}/dictd
Requires:	dictd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains place names, population and location information
provided by the U.S. Census Bureau, formatted for use by dictionary
server in the dictd package. Zip Code information has been merged with
the place name data.

%description -l pl.UTF-8
Pakiet zawiera nazwy miejsc, populacji i położenia dostarczane przez
U.S. Census Bureau, sformatowane do wykorzystania przez dictd.
Informacje o kodach pocztowych zostały połączone z nazwami miejsc.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
cp -f /usr/share/automake/config.* .
%configure
%{__make} db

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd,%{_sysconfdir}/dictd}

%{__make} install \
	dictdir=$RPM_BUILD_ROOT%{_datadir}/dictd

dictprefix=%{_datadir}/dictd/%{dictname}
echo "# U.S. Gazetteer
database %{dictname} {
	data  \"$dictprefix.dict.dz\"
	index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}.dictconf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q dictd restart

%postun
if [ "$1" = 0 ]; then
	%service -q dictd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dictd/%{dictname}.dictconf
%{_datadir}/dictd/%{dictname}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dict-gazetteer.spec,v $
Revision 1.17  2007-03-11 23:26:13  glen
- rel 7 (use %service)

Revision 1.16  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.14  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.13  2004/08/19 15:51:15  averne
- rel++

Revision 1.12  2003/11/23 12:31:32  qboosh
- refresh config.* (needed for athlon); release 5

Revision 1.11  2003/11/23 03:07:54  undefine
- release 4 to rebuild with ac

Revision 1.10  2003/05/28 12:58:49  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:46:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/02/07 18:47:42  migo
- random description fixes

Revision 1.7  2002/12/28 11:53:50  gotar
- cosmetics

Revision 1.6  2002/11/17 13:43:44  gotar
- cosmetics

Revision 1.5  2002/09/09 14:31:47  gotar
- cosmetics,
- unified config entries and dict-* specs appearance.

Revision 1.4  2002/06/26 23:30:10  undefine
- stupid patch dict-gazetteer-linux-sparc.patch to build on linux/sparc
- release 3

Revision 1.3  2002/05/21 23:12:52  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/10 21:43:10  kloczek
- release 2.

Revision 1.1  2002/05/09 19:49:17  qboosh
- fixed filename spelling (mv gazetter.spec gazetteer.spec)
- added pl summary

Revision 1.1  2002/05/06 16:38:22  undefine
- initial PLD version
